xmonad-contrib-0.18.0: Community-maintained extensions for xmonad

Copyright | (c) Jan Vornberger 2009
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.PositionStoreFloat

Contents

- Usage

Description

A floating layout which has been designed with a dual-head setup in mind. It makes use of XMonad.Util.PositionStore as well as XMonad.Hooks.PositionStoreHooks . Since there is currently no way to move or resize windows with the keyboard alone in this layout, it is adviced to use it in combination with a decoration such as XMonad.Layout.NoFrillsDecoration (to move windows) and the layout modifier XMonad.Layout.BorderResize (to resize windows).

Synopsis

- positionStoreFloat :: PositionStoreFloat a
- data PositionStoreFloat a

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Layout.PositionStoreFloat
    import XMonad.Layout.NoFrillsDecoration
    import XMonad.Layout.BorderResize

Then edit your `layoutHook` by adding the PositionStoreFloat layout. Below is a suggestion which uses the mentioned NoFrillsDecoration and BorderResize:

    myLayouts = floatingDeco $ borderResize $ positionStoreFloat ||| etc..
                  where floatingDeco l = noFrillsDeco shrinkText def l
    main = xmonad def { layoutHook = myLayouts }

See the documentation of XMonad.Hooks.PositionStoreHooks on how to add the support hooks.

positionStoreFloat :: PositionStoreFloat a Source #

data PositionStoreFloat a Source #

#### Instances

Instances details

LayoutClass PositionStoreFloat Window Source # |

Instance details

Defined in XMonad.Layout.PositionStoreFloat

Methods

runLayout :: Workspace WorkspaceId (PositionStoreFloat Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (PositionStoreFloat Window)) Source #

doLayout :: PositionStoreFloat Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (PositionStoreFloat Window)) Source #

pureLayout :: PositionStoreFloat Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] Source #

emptyLayout :: PositionStoreFloat Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (PositionStoreFloat Window)) Source #

handleMessage :: PositionStoreFloat Window -> SomeMessage -> X (Maybe (PositionStoreFloat Window)) Source #

pureMessage :: PositionStoreFloat Window -> SomeMessage -> Maybe (PositionStoreFloat Window) Source #

description :: PositionStoreFloat Window -> String Source #

Read a => Read (PositionStoreFloat a) Source # |
Instance details Defined in XMonad.Layout.PositionStoreFloat Methods readsPrec :: Int -> ReadS (PositionStoreFloat a) Source # readList :: ReadS [PositionStoreFloat a] Source # readPrec :: ReadPrec (PositionStoreFloat a) Source # readListPrec :: ReadPrec [PositionStoreFloat a] Source #
Show a => Show (PositionStoreFloat a) Source # |
Instance details Defined in XMonad.Layout.PositionStoreFloat Methods showsPrec :: Int -> PositionStoreFloat a -> ShowS Source # show :: PositionStoreFloat a -> String Source # showList :: [PositionStoreFloat a] -> ShowS Source #